// This code is auto-generated

#include <chrono>
#include <memory>

#include "rclcpp/rclcpp.hpp"
#include "std_msgs/msg/string.hpp"

#include "runnables.hpp"

using namespace std::chrono_literals;
using std::placeholders::_1;
#define CONSOLE_ENABLED

#if defined(_OPENMP)
int check_Node_task_20ms_ecm(int *original, int *replicated){ return 1;}
#endif
class Node_task_20ms_ecm : public rclcpp::Node
{
	private:
		rclcpp::TimerBase::SharedPtr timer_periodic_20ms_;

	public:
		Node_task_20ms_ecm()
		: Node("node_task_20ms_ecm")
		{
			timer_periodic_20ms_ = this->create_wall_timer(
					20ms, std::bind(&Node_task_20ms_ecm::timer_periodic_20ms_callback, this));
		}
	void timer_periodic_20ms_callback() {
	#ifdef CONSOLE_ENABLED
		std::cout << "Timer_periodic_20ms_callback (20ms)" << std::endl;
	#endif
		run_runnable_20ms_0();
		run_runnable_20ms_1();
		run_runnable_20ms_2();
		run_runnable_20ms_3();
		run_runnable_20ms_4();
		run_runnable_20ms_5();
		run_runnable_20ms_6();
		run_runnable_20ms_7();
		run_runnable_20ms_8();
		run_runnable_20ms_9();
		run_runnable_20ms_10();
		run_runnable_20ms_11();
		run_runnable_20ms_12();
		run_runnable_20ms_13();
		run_runnable_20ms_14();
		run_runnable_20ms_15();
		run_runnable_20ms_16();
		run_runnable_20ms_17();
		run_runnable_20ms_18();
		run_runnable_20ms_19();
		run_runnable_20ms_20();
		run_runnable_20ms_21();
		run_runnable_20ms_22();
		run_runnable_20ms_23();
		run_runnable_20ms_24();
		run_runnable_20ms_25();
		run_runnable_20ms_26();
		run_runnable_20ms_27();
		run_runnable_20ms_28();
		run_runnable_20ms_29();
		run_runnable_20ms_30();
		run_runnable_20ms_31();
		run_runnable_20ms_32();
		run_runnable_20ms_33();
		run_runnable_20ms_34();
		run_runnable_20ms_35();
		run_runnable_20ms_36();
		run_runnable_20ms_37();
		run_runnable_20ms_38();
		run_runnable_20ms_39();
		run_runnable_20ms_40();
		run_runnable_20ms_41();
		run_runnable_20ms_42();
		run_runnable_20ms_43();
		run_runnable_20ms_44();
		run_runnable_20ms_45();
		run_runnable_20ms_46();
		run_runnable_20ms_47();
		run_runnable_20ms_48();
		run_runnable_20ms_49();
		run_runnable_20ms_50();
		run_runnable_20ms_51();
		run_runnable_20ms_52();
		run_runnable_20ms_53();
		run_runnable_20ms_54();
		run_runnable_20ms_55();
		run_runnable_20ms_56();
		run_runnable_20ms_57();
		run_runnable_20ms_58();
		run_runnable_20ms_59();
		run_runnable_20ms_60();
		run_runnable_20ms_61();
		run_runnable_20ms_62();
		run_runnable_20ms_63();
		run_runnable_20ms_64();
		run_runnable_20ms_65();
		run_runnable_20ms_66();
		run_runnable_20ms_67();
		run_runnable_20ms_68();
		run_runnable_20ms_69();
		run_runnable_20ms_70();
		run_runnable_20ms_71();
		run_runnable_20ms_72();
		run_runnable_20ms_73();
		run_runnable_20ms_74();
		run_runnable_20ms_75();
		run_runnable_20ms_76();
		run_runnable_20ms_77();
		run_runnable_20ms_78();
		run_runnable_20ms_79();
		run_runnable_20ms_80();
		run_runnable_20ms_81();
		run_runnable_20ms_82();
		run_runnable_20ms_83();
		run_runnable_20ms_84();
		run_runnable_20ms_85();
		run_runnable_20ms_86();
		run_runnable_20ms_87();
		run_runnable_20ms_88();
		run_runnable_20ms_89();
		run_runnable_20ms_90();
		run_runnable_20ms_91();
		run_runnable_20ms_92();
		run_runnable_20ms_93();
		run_runnable_20ms_94();
		run_runnable_20ms_95();
		run_runnable_20ms_96();
		run_runnable_20ms_97();
		run_runnable_20ms_98();
		run_runnable_20ms_99();
		run_runnable_20ms_100();
		run_runnable_20ms_101();
		run_runnable_20ms_102();
		run_runnable_20ms_103();
		run_runnable_20ms_104();
		run_runnable_20ms_105();
		run_runnable_20ms_106();
		run_runnable_20ms_107();
		run_runnable_20ms_108();
		run_runnable_20ms_109();
		run_runnable_20ms_110();
		run_runnable_20ms_111();
		run_runnable_20ms_112();
		run_runnable_20ms_113();
		run_runnable_20ms_114();
		run_runnable_20ms_115();
		run_runnable_20ms_116();
		run_runnable_20ms_117();
		run_runnable_20ms_118();
		run_runnable_20ms_119();
		run_runnable_20ms_120();
		run_runnable_20ms_121();
		run_runnable_20ms_122();
		run_runnable_20ms_123();
		run_runnable_20ms_124();
		run_runnable_20ms_125();
		run_runnable_20ms_126();
		run_runnable_20ms_127();
		run_runnable_20ms_128();
		run_runnable_20ms_129();
		run_runnable_20ms_130();
		run_runnable_20ms_131();
		run_runnable_20ms_132();
		run_runnable_20ms_133();
		run_runnable_20ms_134();
		run_runnable_20ms_135();
		run_runnable_20ms_136();
		run_runnable_20ms_137();
		run_runnable_20ms_138();
		run_runnable_20ms_139();
		run_runnable_20ms_140();
		run_runnable_20ms_141();
		run_runnable_20ms_142();
		run_runnable_20ms_143();
		run_runnable_20ms_144();
		run_runnable_20ms_145();
		run_runnable_20ms_146();
		run_runnable_20ms_147();
		run_runnable_20ms_148();
		run_runnable_20ms_149();
		run_runnable_20ms_150();
		run_runnable_20ms_151();
		run_runnable_20ms_152();
		run_runnable_20ms_153();
		run_runnable_20ms_154();
		run_runnable_20ms_155();
		run_runnable_20ms_156();
		run_runnable_20ms_157();
		run_runnable_20ms_158();
		run_runnable_20ms_159();
		run_runnable_20ms_160();
		run_runnable_20ms_161();
		run_runnable_20ms_162();
		run_runnable_20ms_163();
		run_runnable_20ms_164();
		run_runnable_20ms_165();
		run_runnable_20ms_166();
		run_runnable_20ms_167();
		run_runnable_20ms_168();
		run_runnable_20ms_169();
		run_runnable_20ms_170();
		run_runnable_20ms_171();
		run_runnable_20ms_172();
		run_runnable_20ms_173();
		run_runnable_20ms_174();
		run_runnable_20ms_175();
		run_runnable_20ms_176();
		run_runnable_20ms_177();
		run_runnable_20ms_178();
		run_runnable_20ms_179();
		run_runnable_20ms_180();
		run_runnable_20ms_181();
		run_runnable_20ms_182();
		run_runnable_20ms_183();
		run_runnable_20ms_184();
		run_runnable_20ms_185();
		run_runnable_20ms_186();
		run_runnable_20ms_187();
		run_runnable_20ms_188();
		run_runnable_20ms_189();
		run_runnable_20ms_190();
		run_runnable_20ms_191();
		run_runnable_20ms_192();
		run_runnable_20ms_193();
		run_runnable_20ms_194();
		run_runnable_20ms_195();
		run_runnable_20ms_196();
		run_runnable_20ms_197();
		run_runnable_20ms_198();
		run_runnable_20ms_199();
		run_runnable_20ms_200();
		run_runnable_20ms_201();
		run_runnable_20ms_202();
		run_runnable_20ms_203();
		run_runnable_20ms_204();
		run_runnable_20ms_205();
		run_runnable_20ms_206();
		run_runnable_20ms_207();
		run_runnable_20ms_208();
		run_runnable_20ms_209();
		run_runnable_20ms_210();
		run_runnable_20ms_211();
		run_runnable_20ms_212();
		run_runnable_20ms_213();
		run_runnable_20ms_214();
		run_runnable_20ms_215();
		run_runnable_20ms_216();
		run_runnable_20ms_217();
		run_runnable_20ms_218();
		run_runnable_20ms_219();
		run_runnable_20ms_220();
		run_runnable_20ms_221();
		run_runnable_20ms_222();
		run_runnable_20ms_223();
		run_runnable_20ms_224();
		run_runnable_20ms_225();
		run_runnable_20ms_226();
		run_runnable_20ms_227();
		run_runnable_20ms_228();
		run_runnable_20ms_229();
		run_runnable_20ms_230();
		run_runnable_20ms_231();
		run_runnable_20ms_232();
		run_runnable_20ms_233();
		run_runnable_20ms_234();
		run_runnable_20ms_235();
		run_runnable_20ms_236();
		run_runnable_20ms_237();
		run_runnable_20ms_238();
		run_runnable_20ms_239();
		run_runnable_20ms_240();
		run_runnable_20ms_241();
		run_runnable_20ms_242();
		run_runnable_20ms_243();
		run_runnable_20ms_244();
		run_runnable_20ms_245();
		run_runnable_20ms_246();
		run_runnable_20ms_247();
		run_runnable_20ms_248();
		run_runnable_20ms_249();
		run_runnable_20ms_250();
		run_runnable_20ms_251();
		run_runnable_20ms_252();
		run_runnable_20ms_253();
		run_runnable_20ms_254();
		run_runnable_20ms_255();
		run_runnable_20ms_256();
		run_runnable_20ms_257();
		run_runnable_20ms_258();
		run_runnable_20ms_259();
		run_runnable_20ms_260();
		run_runnable_20ms_261();
		run_runnable_20ms_262();
		run_runnable_20ms_263();
		run_runnable_20ms_264();
		run_runnable_20ms_265();
		run_runnable_20ms_266();
		run_runnable_20ms_267();
		run_runnable_20ms_268();
		run_runnable_20ms_269();
		run_runnable_20ms_270();
		run_runnable_20ms_271();
		run_runnable_20ms_272();
		run_runnable_20ms_273();
		run_runnable_20ms_274();
		run_runnable_20ms_275();
		run_runnable_20ms_276();
		run_runnable_20ms_277();
		run_runnable_20ms_278();
		run_runnable_20ms_279();
		run_runnable_20ms_280();
		run_runnable_20ms_281();
		run_runnable_20ms_282();
		run_runnable_20ms_283();
		run_runnable_20ms_284();
		run_runnable_20ms_285();
		run_runnable_20ms_286();
		run_runnable_20ms_287();
		run_runnable_20ms_288();
		run_runnable_20ms_289();
		run_runnable_20ms_290();
		run_runnable_20ms_291();
		run_runnable_20ms_292();
		run_runnable_20ms_293();
		run_runnable_20ms_294();
		run_runnable_20ms_295();
		run_runnable_20ms_296();
		run_runnable_20ms_297();
		run_runnable_20ms_298();
		run_runnable_20ms_299();
		run_runnable_20ms_300();
		run_runnable_20ms_301();
		run_runnable_20ms_302();
		run_runnable_20ms_303();
		run_runnable_20ms_304();
		run_runnable_20ms_305();
		run_runnable_20ms_306();
	}
	
	
};
